{% extends "layouts/base.html" %}
{% load static i18n don_template_functions %}

{% block content %}
    <div class="page-repository-detail mb-12 container">
        <div class="flex flex-col md:flex-row">
            <div class="flex w-full md:w-3/4 mb-5 md:mb-0 items-start flex-col">
                <div class="flex flex-col md:flex-row items-start">
                    {% if repository.avatar_url %}
                    <div class="bg-white card p-2  mb-2 mr-5 shrink-0">
                        <img class="size-16" src="{{ repository.avatar_url }}" alt="Avatar van {{ repository.name }}"/>
                    </div>
                    {% endif %}
                    <div>
                        <h1 class="page-title mt-2 md:mt-0 mb-1 text-xl">{{ title | capfirst }}</h1>
                        {% if repository.description %}
                        <p class="text-xl">{{ repository.description }}</p>
                        {% else %}
                        <div class=""><i class="text-xl">Geen beschrijving ingevuld</i></div>
                        {% endif %}
                    </div>
                </div>
                <div class="mb-5 md:mb-10 flex items-center p-2 mt-5 flex-wrap">
                    {% if repository.source == 'gitlab'%}
                        {% include "partials/tabler-icon.html" with icon_title="brand-gitlab" classname="size-6 icon--stroke-lg mr-2" %}
                    {% elif repository.source == 'github'%}
                    {% include "partials/tabler-icon.html" with icon_title="brand-github" classname="size-6 icon--stroke-lg mr-2" %}
                    {% endif %}
                    {% for url_part in urls_splitted_absolute %}
                    <a target="_blank" class="" href="{% if repository.source == 'gitlab'%}https://gitlab.com{% elif repository.source == 'github'%}https://github.com{% endif %}/{{url_part}}">{{ urls_splitted | lookup:forloop.counter0 }}</a> <span class="ml-1 mr-1 text-gray-500"> / </span>
                    {% endfor %}
                    <a href="{{ repository.url }}" class="font-bold">{{ title }}</a>
                </div>
            </div>
            <div class="w-full md:w-1/4 md:ml-10 details-aside mb-2">
                <ul class="list-none details-aside__list mt-0 pl-5">
                    <li>
                        <a href="{{ repository.url }}" target="_blank" rel="noopener noreferrer" class="flex">{% include "partials/tabler-icon.html" with icon_title="code" classname="size-8 icon--stroke-lg" %}
                            <span class="font-bold text-lg ml-2">Naar broncode</span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <dl class="flex flex-col md:flex-row api-props w-full mb-10 mt-0">
            <div class="w-full md:w-2/5 mb-5 md:mb-0">
                <dt>Organisatie</dt>
                <dd class="ml-0">
                    <a href="{{ repository.organization.get_absolute_url }}" class="page-subtitle mb-1">{{ repository.organization.name }}</a>
                </dd>
                <dt class="mt-3">Bijgewerkt</dt>
                <dd class="ml-0 flex mt-1">
                    <svg class="icon icon--gray mr-1" width="20" height="20" viewBox="0 0 24 24">
                        <path fill="none" d="M0 0H24V24H0z"></path>
                        <path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12h2c0 4.418 3.582 8 8 8s8-3.582 8-8-3.582-8-8-8C9.25 4 6.824 5.387 5.385 7.5H8v2H2v-6h2V6c1.824-2.43 4.729-4 8-4zm1 5v4.585l3.243 3.243-1.415 1.415L11 12.413V7h2z"></path>
                    </svg>
                    <span class="text-sm text-gray">{% language "nl" %}{{ repository.last_change | don_naturaltime }}{% endlanguage %} bijgewerkt</span>
                </dd>
            </div>
            <div class="md:w-3/5 flex flex-wrap">
                <div class="w-1/4 md:w-1/5">
                    <dt>Stars</dt>
                    <dd class="ml-0">
                        {% if stars_url %}
                        <a href="{{ stars_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                            {{ repository.stars }}
                            <svg width="20" height="20" viewBox="0 0 24 24">
                                <path fill="none" d="M0 0h24v24H0z"></path>
                                <path d="M12 18.26l-7.053 3.948 1.575-7.928L.587 8.792l8.027-.952L12 .5l3.386 7.34 8.027.952-5.935 5.488 1.575 7.928L12 18.26zm0-2.292l4.247 2.377-.949-4.773 3.573-3.305-4.833-.573L12 5.275l-2.038 4.42-4.833.572 3.573 3.305-.949 4.773L12 15.968z"></path>
                            </svg>
                        </a>
                        {% endif %}
                    </dd>
                </div>
                <div class="w-1/4 md:w-1/5">
                    <dt>Forks</dt>
                    <dd class="ml-0">
                        {% if forks_url %}
                        <a href="{{ forks_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                            {{ repository.fork_count }}
                            <svg width="20" height="20" viewBox="0 0 24 24">
                                <path fill="none" d="M0 0h24v24H0z"></path>
                                <path d="M7.105 15.21A3.001 3.001 0 1 1 5 15.17V8.83a3.001 3.001 0 1 1 2 0V12c.836-.628 1.874-1 3-1h4a3.001 3.001 0 0 0 2.895-2.21 3.001 3.001 0 1 1 2.032.064A5.001 5.001 0 0 1 14 13h-4a3.001 3.001 0 0 0-2.895 2.21zM6 17a1 1 0 1 0 0 2 1 1 0 0 0 0-2zM6 5a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm12 0a1 1 0 1 0 0 2 1 1 0 0 0 0-2z"></path>
                            </svg>
                        </a>
                        {% endif %}
                    </dd>
                </div>
                <div class="w-1/4 md:w-1/5">
                    <dt>Issues</dt>
                    <dd class="ml-0">
                        {% if issues_url %}
                        <a href="{{ issues_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                            {{ repository.issue_open_count }}
                            <svg width="20" height="20" viewBox="0 0 24 24">
                                <path fill="none" d="M0 0h24v24H0z"></path>
                                <path d="M12 20a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm0 2C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zm0-8a2 2 0 1 1 0-4 2 2 0 0 1 0 4z"></path>
                            </svg>
                        </a>
                        {% endif %}
                    </dd>
                </div>
                <div class="w-1/4 md:w-1/5">
                    <dt>Merge requests</dt>
                    <dd class="ml-0">
                        {% if merge_requests_url %}
                        <a href="{{ merge_requests_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                            {{ repository.merge_request_open_count }}
                            <svg width="20" height="20" viewBox="0 0 24 24">
                                <path fill="none" d="M0 0h24v24H0z"></path>
                                <path d="M15 5h2a2 2 0 0 1 2 2v8.17a3.001 3.001 0 1 1-2 0V7h-2v3l-4.5-4L15 2v3zM5 8.83a3.001 3.001 0 1 1 2 0v6.34a3.001 3.001 0 1 1-2 0V8.83zM6 7a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0 12a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm12 0a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"></path>
                            </svg>
                        </a>
                        {% endif %}
                    </dd>
                </div>
            </div>            
        </dl>
        <div>                           
            <div class="flex">
                <div class="w-full md:w-3/4 mb-5 md:mb-0 flex">
                    {% if repository.repositoryprogramminglanguage_set.all|length > 0 %}
                    <div class="w-full md:w-1/2 card p-5">
                        <h3>Programmeertalen</h3>
                        {% for repository_programming_language in repository.repositoryprogramminglanguage_set.all  %}
                        <a class="no-underline flex items-center mb-1 {% if repository_programming_language.usage > 70 %}flex-col{% endif %}" href="{% url 'web:repository_list' %}?technologie={{repository_programming_language.programming_language.id}}">
                            <div class="size-4 shrink-0 {% if repository_programming_language.usage > 70 %} self-start {% endif %}" style="background:{{ repository_programming_language.programming_language.color }}; width: {{ repository_programming_language.usage  }}%;"></div>
                            <span class="ml-2 w-30 shrink-0 text-gray {% if repository_programming_language.usage > 70 %}ml-0{% endif %}">
                                <b class="font-bold text-gray">{{repository_programming_language.programming_language}}</b> [{{ repository_programming_language.usage  }}%]</span>
                        </a>
                        {% endfor %}
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
